Skip to main content
GET
/
v1
/
providers
/
{provider_npi}
Retrieve a provider
curl --request GET \
  --url https://api.sandbox.trycollate.ai/v1/providers/{provider_npi} \
  --header 'Authorization: Bearer <token>'
{
  "npi": "<string>",
  "displayName": "<string>",
  "status": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "taxId": "<string>",
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.trycollate.ai/llms.txt

Use this file to discover all available pages before exploring further.

Use this endpoint to verify that a provider is available to your integration before creating an authorization.

Returns

Returns the provider. Returns 404 provider_not_found if the NPI is not registered to the authenticated organization.

Authorizations

Authorization
string
header
default:your-api-key
required

API key passed as Authorization: Bearer <API_KEY>.

Path Parameters

provider_npi
string
required

Provider NPI registered to the authenticated organization.

Response

Successful Response

npi
string
required

National Provider Identifier.

displayName
string
required

Human-readable provider name.

status
string
required

Provider status in the tenant catalog.

createdAt
string<date-time>
required

Time when the provider was created.

updatedAt
string<date-time>
required

Time when the provider was last updated.

taxId
string | null

Provider tax ID, when configured.

metadata
Metadata · object

Tenant-defined provider metadata.